<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Interfaces utilisateur</title>
    <link rel="stylesheet" href="./styleIhmPage.css">
    <link rel="stylesheet" href="../mainArticleStyle.css">
    <script src="../mainArticleScript.js"></script>
    <link rel="icon" type="image/svg" href="../img/cloud-snow.svg" />

</head>
<body>
    <header>
        <section class="headerContent">
            <span class="headerLink "><a href="../index.html"><img class="homeSvg" alt="Accueil" src="../img/home.svg"></a></span>
            <span class="headerLink"><a href="../umlPage/umlPage.html">Modélisation UML</a></span>
            <span class="headerLink active"><a href="../ihmPage/imhPage.html">Interfaces utilisateur</a></span>
            <span class="headerLink "><a href="../devPage/devPage.html">Développement Android</a></span>
        </section>
    </header>
    <main>
        <span class="touchBar"></span>
        
        <h1 class="pageTitle">Interfaces utilisateur</h1>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Figma</div>
            <div class="cardContent">
                <p class="textContent">
                    Figma est un éditeur de graphiques vectoriels et un outil de prototypage. Il est principalement basé sur le web, avec des fonctionnalités hors ligne supplémentaires activées par des applications de bureau pour macOS et Windows.
                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : existe en mode SAAS, rapide, simple et intuitif
                    </div>
                    <div class="moins">
                        Inconvénients : Pas conçu pour la gestion de diagramme
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Illustrator</div>
            <div class="cardContent">
                <p class="textContent">
                    Adobe Illustrator est un logiciel de création graphique vectorielle. Il fait partie de la gamme Adobe, peut être utilisé indépendamment ou en complément de Photoshop, et offre des outils de dessin vectoriel puissants. Les images vectorielles sont constituées de courbes générées par des formules mathématiques.
                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Existe beaucoup de templates
                    </div>
                    <div class="moins">
                        Inconvénients : Pas conçu pour la gestion de diagramme, payant, difficile de prise en mains
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Dia.exe</div>
            <div class="cardContent">
                <p class="textContent">
                    Dia est un logiciel qui permet de réaliser de nombreux schémas et diagrammes. Dans la pratique, il convient pour concevoir des organigrammes d'entreprise ou des diagrammes explicatifs dans de nombreux domaines. <br><br>
                    Ce logiciel se distingue par les centaines d'objets qui vous serviront à créer de nombreux diagrammes. Outre les objets UML, vous trouverez des objets adaptés au Grafcet, à SDL, aux réseaux Cisco ou encore à des montages électriques. <br><br>
                    Parmi ses autres fonctionnalités, Dia propose la gestion de calques pour disposer les différents objets selon vos besoins. Vous pourrez aussi créer des groupes d'objets pour les déplacer plus facilement.

                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Rapide, léger
                    </div>
                    <div class="moins">
                        Inconvénients : Affichage et utilisation compliqué
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Canvas</div>
            <div class="cardContent">
                <p class="textContent">
                    Permettre à tout un chacun d’utiliser des outils de conception graphique jusqu’alors réservés aux professionnels. Autrement dit, l’objectif était de démocratiser et de faciliter l’accès aux techniques de graphisme. Au fil du temps, Canva s’est progressivement imposé comme un outil permettant de réaliser des visuels à imprimer ou destinés à être publiés en ligne, et ce, sans avoir de compétences préalables en matière de conception graphique.
                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Rapide, léger, existe en mode SAAS
                    </div>
                    <div class="moins">
                        Inconvénients : Pas conçu pour la gestion de diagramme
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">WinDesign</div>
            <div class="cardContent">
                <p class="textContent">
                    WinDesign est un environnement permettant la modélisation de systèmes d'information informatiques et organisationnels. Il est composé de trois modules complémentaires Database, Object et Business Process afin de couvrir tous vos besoins, et ce, que vous soyez administrateur de bases de données, chef de projet ou développeur. <br><br>
                    Le premier module, Database, offre la possibilité de concevoir, générer et redocumenter les différentes bases de données. <br><br>
                    Le module Object permet quant à lui de spécifier les points de vue dynamiques et statiques avec l'appui de diagrammes et de langages suivant les référentiels UML. <br><br>

                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Simple d’utilisation
                    </div>
                    <div class="moins">
                        Inconvénients : Demande une prise en mains de quelques temps
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Modelio</div>
            <div class="cardContent">
                <p class="textContent">
                    Modelio est un logiciel permettant de créer des schémas conceptuels, notamment ULM et BPMN. Il est libre et multiplateforme. 

                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Simple d’utilisation
                    </div>
                    <div class="moins">
                        Inconvénients : Aucun
                    </div>
                </div>
            </div>
        </div>

        <div class="card fullWidth">
            <div class="cardHeader secondColor">Draw.io
            </div>
            <div class="cardContent">
                <p class="textContent">
                    Draw.io est un logiciel de dessin graphique multiplateforme gratuit et open source développé en HTML5 et JavaScript. Son interface peut être utilisée pour créer des diagrammes tels que des organigrammes, des structures filaires, des diagrammes UML, des organigrammes et des diagrammes de réseau.
                </p>
                <div class="contentOk">
                    <div class="plus">
                        Avantages : Simple
                    </div>
                    <div class="moins">
                        Inconvénients : Trop simple
                    </div>
                </div>
            </div>
        </div>


        <button class="adviceButton" onclick="displayAdvice()"><img class="homeSvg" alt="Accueil" src="../img/info.svg"></button>

        <div class="card advice hidden" id="advice">
            <div class="cardHeader"><img onclick="hideAdvice()" class="windowAction close" alt="Accueil" src="../img/x-circle.svg">Astuce</div>
            <div class="cardContent">
                <p class="textContent">
                    Il faut utiliser Modelio
                    <br>
                    <br>
                    <h3>Sources</h3>
                    <ul>
                        <li>Mes sources perso</li>
                    </ul>
                </p>
            </div>
        </div>

    </main>
    <footer>
        <section class="footerContent">
            <h6>All right reserved | Copyright © 2022 CHAPUIS DEPRECQ</h6>
        </section>
    </footer>
</body>
</html>
